Libargus API Libargus Camera API

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Classes | Namespaces | Functions
EGLImage.h File Reference

Libargus API: EGLImage API More...

Go to the source code of this file.

## Classes
class | Argus::IEGLImageBufferSettings
| Interface that provides the settings used to configure EGLImage Buffer creation. More...
class | Argus::IEGLImageBuffer
| Interface that provides methods to EGLImage Buffers. More...

## Namespaces
namespace | Argus

## Functions
| Argus::DEFINE_UUID (BufferType, BUFFER_TYPE_EGL_IMAGE, c723d966, 5231, 11e7, 9598, 18, 00, 20, 0c, 9a, 66)
| Buffer type that wraps an EGLImage resource.
| Argus::DEFINE_UUID (InterfaceID, IID_EGL_IMAGE_BUFFER_SETTINGS, c723d967, 5231, 11e7, 9598, 18, 00, 20, 0c, 9a, 66)
| Argus::DEFINE_UUID (InterfaceID, IID_EGL_IMAGE_BUFFER, c723d968, 5231, 11e7, 9598, 18, 00, 20, 0c, 9a, 66)

## Detailed Description

Libargus API: EGLImage API

Description: Defines a BufferType that wraps an EGLImage resource.

Definition in file EGLImage.h.